=== modified file 'Makefile.am'
--- Makefile.am	2008-07-18 19:46:13 +0000
+++ Makefile.am	2008-07-19 06:41:41 +0000
@@ -15,58 +15,58 @@
 
 # Process this file with automake to create Makefile.in
 
-SUBDIRS =												. include \
-																vio \
-																strings \
-																mysys \
-																extra \
-																libdrizzle \
-																client \
-																storage \
-																plugin \
-																server \
-																tests \
-																support-files
-
-DIST_SUBDIRS =									$(SUBDIRS) \
-																mysys/tests \
-																strings/tests
-
-DISTCLEANFILES = 								ac_available_languages_fragment
+SUBDIRS = . include \
+	  vio \
+	  strings \
+	  mysys \
+	  extra \
+	  libdrizzle \
+	  client \
+	  storage \
+	  plugin \
+	  server \
+	  tests \
+	  support-files
+
+DIST_SUBDIRS = $(SUBDIRS) \
+	       mysys/tests \
+	       strings/tests
+
+DISTCLEANFILES = ac_available_languages_fragment
 
 # Create empty datadir 
 install-data-local:
-																$(MKDIR_P) $(DESTDIR)$(localstatedir) 
-																@if test `id -u` = 0 ; then \
-																	chown $(MYSQLD_USER) $(DESTDIR)$(localstatedir) ;\
-																fi
+	$(MKDIR_P) $(DESTDIR)$(localstatedir) 
+	@if test `id -u` = 0 ; then \
+			   chown $(MYSQLD_USER) $(DESTDIR)$(localstatedir) ;\
+			   fi
 
 distclean-local:
-																@RM@ -r -f autom4te.cache
+	@RM@ -r -f autom4te.cache
 
-.PHONY: 												test \
-																test-force \
-																test-full \
-																test-force-full \
-																test-force-mem \
-																test-pl \
-																test-force-pl \
-																test-full-pl \
-																test-force-full-pl \
-																test-force-pl-mem \
-																test-ps test-nr \
-																test-pr test-ns \
-																test-binlog-statement \
-																test-ext-funcs \
-																test-ext-rpl \
-																test-ext-jp \
-																test-ext-stress \
-																test-ext \
-																test-embedded \
-																test-fast \
-																test-fast-cursor \
-																test-fast-view \
-																test-full-qa
+.PHONY: test \
+    test-force \
+    test-full \
+    test-force-full \
+    test-force-mem \
+    test-pl \
+    test-force-pl \
+    test-full-pl \
+    test-force-full-pl \
+    test-force-pl-mem \
+    test-ps test-nr \
+    test-pr test-ns \
+    test-binlog-statement \
+    test-ext-funcs \
+    test-ext-rpl \
+    test-ext-jp \
+    test-ext-stress \
+    test-ext \
+    test-embedded \
+    test-fast \
+    test-fast-cursor \
+    test-fast-view \
+    test-full-qa
 
 # Target 'test' will run the regression test suite using the built server.
 #
@@ -77,108 +77,37 @@
 # making sure each user use different ports.
 
 test-nr:
-																cd tests ; \
-																@PERL@ ./test-run.pl $(force) --mysqld=--binlog-format=row
+	cd tests ; \
+	  ./test-run $(force) --mysqld=--binlog-format=row
 
 test-ns:
-																cd tests ; \
-																@PERL@ ./test-run.pl $(force) $(mem) --mysqld=--binlog-format=mixed
+	cd tests ; \
+	  ./test-run $(force) $(mem) --mysqld=--binlog-format=mixed
 
 test-binlog-statement:
-																cd tests ; \
-																@PERL@ ./test-run.pl $(force) --mysqld=--binlog-format=statement
+	cd tests ; \
+	  ./test-run $(force) --mysqld=--binlog-format=statement
 
 test: test-drizzle
 
-test-full:	test test-nr
-
-test-force:
-																$(MAKE) force=--force test
-
-test-force-full:
-																$(MAKE) force=--force test-full
-
-#used by autopush.pl to run memory based tests
-test-force-mem:
-																$(MAKE) force=--force mem=--mem test
-
-test-bt:
-																-cd tests ; MTR_BUILD_THREAD=auto \
-																	@PERL@ ./test-run.pl --force --comment=funcs1_ps --ps-protocol --suite=funcs_1
-																-cd tests ; MTR_BUILD_THREAD=auto \
-																	@PERL@ ./test-run.pl --force --comment=funcs2 --suite=funcs_2
-																-cd tests ; MTR_BUILD_THREAD=auto \
-																	@PERL@ ./test-run.pl --force --comment=rpl --suite=rpl
-																-if [ -d test/suite/nist ] ; then \
-																	cd tests ; MTR_BUILD_THREAD=auto \
-																		@PERL@ ./test-run.pl --comment=NIST+normal --force --suite=nist ; \
-																fi
-																-if [ -d test/suite/nist ] ; then \
-																	cd tests ; MTR_BUILD_THREAD=auto \
-																		@PERL@ ./test-run.pl --comment=NIST+ps --force --suite=nist --ps-protocol ; \
-																fi
-																-cd tests ; MTR_BUILD_THREAD=auto \
-																	@PERL@ ./test-run.pl --force --comment=stress --suite=stress
-
-# Re-enable the "jp" suite when bug#28563 is fixed
-#	-cd tests ; MTR_BUILD_THREAD=auto \
-#	    @PERL@ ./test-run.pl --force --comment=jp --suite=jp
-
-test-bt-debug:
-															-cd tests ; MTR_BUILD_THREAD=auto \
-																@PERL@ ./test-run.pl --comment=debug  --force --timer \
-																--skip-rpl --report-features
-
-# Keep these for a while
-test-pl:	test
-test-full-pl:	test-full
-test-force-pl:	test-force
-test-force-pl-mem:  test-force-mem
-test-force-full-pl: test-force-full
-
-test-ext-funcs:
-															cd tests ; \
-																@PERL@ ./test-run.pl --force --suite=funcs_1 ; \
-																@PERL@ ./test-run.pl --force --suite=funcs_2
-
-test-ext-rpl:
-															cd tests ; \
-																@PERL@ ./test-run.pl --force --suite=rpl
-
-test-ext-jp:
-															cd tests ; \
-																@PERL@ ./test-run.pl --force --suite=jp
-
-test-ext-stress:
-															cd tests ; \
-																@PERL@ ./test-run.pl --force --big-test --suite=stress
-
-test-ext:											test-ext-funcs \
-															test-ext-rpl \
-															test-ext-jp \
-															test-ext-stress
-
-test-full-qa:
-															$(MAKE) force=--force test-pr \
-																test-binlog-statement test-ext
-
 test-drizzle:
-															cd tests ; \
-															@PERL@ ./test-run.pl --fast --reorder --force \
-																join_crash \
-																join_nested \
-																join_outer_innodb \
-																delete \
-																join_outer \
-																distinct \
-																join \
-																subselect \
-																subselect3 \
-																subselect_innodb \
-																insert \
-																select \
-																update \
-																information_schema \
-																mysqlslap \
-																lock \
-																lock_tables_lost_commit
+	cd tests ; \
+	  ./test-run.pl --fast --reorder --force \
+	  alter_table \
+	  join_crash \
+	  join_nested \
+	  join_outer_innodb \
+	  delete \
+	  join_outer \
+	  distinct \
+	  join \
+	  subselect \
+	  subselect3 \
+	  subselect_innodb \
+	  insert \
+	  select \
+	  update \
+	  information_schema \
+	  mysqlslap \
+	  lock \
+	  lock_tables_lost_commit

=== modified file 'server/Makefile.am'
--- server/Makefile.am	2008-07-18 17:56:45 +0000
+++ server/Makefile.am	2008-07-19 06:41:41 +0000
@@ -15,248 +15,248 @@
 
 #called from the top level Makefile
 
-MYSQLDATAdir =								$(localstatedir)
-
-MYSQLSHAREdir =								$(pkgdatadir)
-
-MYSQLBASEdir=									$(prefix)
-
-MYSQLLIBdir=            			$(pkglibdir)
-
-pkgplugindir =								$(pkglibdir)/plugin
-
-AM_CPPFLAGS =									-I$(top_builddir)/include \
-															-I$(top_srcdir)/include \
-															-I$(srcdir) $(openssl_includes) \
-															$(libevent_includes) \
-															-ggdb
-
-SUBDIRS =											. share
-
-libexec_PROGRAMS =						drizzled
-
-EXTRA_PROGRAMS =							gen_lex_hash
-
-bin_PROGRAMS =		
-
-bin_SCRIPTS = 								drizzledumpslow \
-															drizzled_safe 
-
-DTRACE =                			@DTRACE@
-
-DTRACEFLAGS =           			@DTRACEFLAGS@
-
-DTRACEFILES =           			handler.o \
-															filesort.o \
-															sql_insert.o \
-															sql_delete.o \
-															sql_select.o \
-															sql_update.o
-
-noinst_LTLIBRARIES = 					libhandler.la
-
-SUPPORTING_LIBS =							$(top_builddir)/vio/libviolt.la \
-															$(top_builddir)/libdrizzle/libsqlcommon.la \
-															$(top_builddir)/mysys/libmysyslt.la \
-															$(top_builddir)/strings/libmystringslt.la 
-
-LDADD = 											$(SUPPORTING_LIBS) -lz -levent
-
-drizzled_LDADD =							libhandler.la \
-															$(top_builddir)/libdrizzle/libdrizzle.la \
-															$(libevent_libs) \
-															@mysql_plugin_libs@ \
-															$(LDADD) \
-															$(CXXLDFLAGS) \
-															@LIBDL@
-
-noinst_HEADERS =							item.h \
-															item_func.h \
-															item_sum.h \
-															item_cmpfunc.h \
-															item_strfunc.h \
-															item_timefunc.h \
-															item_create.h \
-															item_subselect.h \
-															item_row.h \
-															mysql_priv.h \
-															sql_bitmap.h \
-															sql_class.h \
-															sql_lex.h \
-															sql_list.h \
-															sql_map.h \
-															sql_string.h \
-															unireg.h \
-															sql_error.h \
-															field.h \
-															handler.h \
-															mysqld_suffix.h \
-															rpl_constants.h \
-															opt_range.h \
-															protocol.h \
-															rpl_tblmap.h \
-															rpl_utility.h \
-															rpl_reporting.h \
-															log.h \
-															sql_show.h \
-															rpl_rli.h \
-															rpl_mi.h \
-															sql_select.h \
-															structs.h \
-															table.h \
-															sql_udf.h \
-															lex.h \
-															lex_symbol.h \
-															sql_crypt.h  \
-															sql_repl.h \
-															slave.h \
-															rpl_filter.h \
-															log_event.h \
-															rpl_record.h \
-															stacktrace.h \
-															sql_sort.h \
-															set_var.h \
-															tzfile.h \
-															client_settings.h \
-															tztime.h \
-															my_decimal.h\
-															sql_array.h \
-															scheduler.h \
-															sql_plugin.h \
-															probes.h
-
-drizzled_SOURCES =						sql_lex.cc \
-															sql_handler.cc \
-															item.cc \
-															item_sum.cc \
-															item_buff.cc \
-															item_func.cc \
-															item_cmpfunc.cc \
-															item_strfunc.cc \
-															item_timefunc.cc \
-															thr_malloc.cc \
-															item_create.cc \
-															item_subselect.cc \
-															item_row.cc \
-															field.cc \
-															strfunc.cc \
-															key.cc \
-															sql_class.cc \
-															sql_list.cc \
-															protocol.cc \
-															sql_state.c \
-															lock.cc \
-															sql_string.cc \
-															sql_map.cc \
-															drizzled.cc \
-															sql_connect.cc \
-															scheduler.cc \
-															sql_parse.cc \
-															set_var.cc \
-															sql_yacc.yy \
-															sql_base.cc \
-															table.cc \
-															sql_select.cc \
-															sql_insert.cc \
-															sql_error.cc \
-															sql_locale.cc \
-															sql_update.cc \
-															sql_delete.cc \
-															uniques.cc \
-															log.cc \
-															init.cc \
-															derror.cc \
-															unireg.cc \
-															log_event.cc \
-															rpl_record.cc \
-															discover.cc \
-															time.cc \
-															opt_range.cc \
-															opt_sum.cc \
-															records.cc \
-															filesort.cc \
-															sql_db.cc \
-															sql_table.cc \
-															sql_rename.cc \
-															sql_crypt.cc \
-															sql_load.cc \
-															mf_iocache.cc \
-															field_conv.cc \
-															sql_show.cc \
-															sql_udf.cc \
-															slave.cc \
-															sql_repl.cc \
-															rpl_filter.cc \
-															rpl_tblmap.cc \
-															rpl_utility.cc \
-															rpl_rli.cc \
-															rpl_mi.cc \
-															rpl_reporting.cc \
-															sql_union.cc \
-															sql_derived.cc \
-															sql_client.cc \
-															stacktrace.c \
-															repl_failsafe.h \
-															repl_failsafe.cc \
-															sql_olap.cc \
-															tztime.cc \
-															my_decimal.cc\
-															sql_plugin.cc \
-															sql_binlog.cc \
-															sql_builtin.cc 
-
-libhandler_la_SOURCES = 			handler.cc
+MYSQLDATAdir =$(localstatedir)
+
+MYSQLSHAREdir =$(pkgdatadir)
+
+MYSQLBASEdir=$(prefix)
+
+MYSQLLIBdir=            $(pkglibdir)
+
+pkgplugindir =$(pkglibdir)/plugin
+
+AM_CPPFLAGS =-I$(top_builddir)/include \
+	     -I$(top_srcdir)/include \
+	     -I$(srcdir) $(openssl_includes) \
+	     $(libevent_includes) \
+	     -ggdb
+
+SUBDIRS =. share
+
+libexec_PROGRAMS =drizzled
+
+EXTRA_PROGRAMS =gen_lex_hash
+
+bin_PROGRAMS =
+
+bin_SCRIPTS = drizzledumpslow \
+drizzled_safe 
+
+DTRACE = @DTRACE@
+
+DTRACEFLAGS = @DTRACEFLAGS@
+
+DTRACEFILES = handler.o \
+	      filesort.o \
+	      sql_insert.o \
+	      sql_delete.o \
+	      sql_select.o \
+	      sql_update.o
+
+noinst_LTLIBRARIES = libhandler.la
+
+SUPPORTING_LIBS = $(top_builddir)/vio/libviolt.la \
+		  $(top_builddir)/libdrizzle/libsqlcommon.la \
+		  $(top_builddir)/mysys/libmysyslt.la \
+		  $(top_builddir)/strings/libmystringslt.la 
+
+LDADD = $(SUPPORTING_LIBS) -lz -levent
+
+drizzled_LDADD = libhandler.la \
+		 $(top_builddir)/libdrizzle/libdrizzle.la \
+		 $(libevent_libs) \
+		 @mysql_plugin_libs@ \
+		 $(LDADD) \
+		 $(CXXLDFLAGS) \
+		 @LIBDL@
+
+noinst_HEADERS = item.h \
+		 item_func.h \
+		 item_sum.h \
+		 item_cmpfunc.h \
+		 item_strfunc.h \
+		 item_timefunc.h \
+		 item_create.h \
+		 item_subselect.h \
+		 item_row.h \
+		 mysql_priv.h \
+		 sql_bitmap.h \
+		 sql_class.h \
+		 sql_lex.h \
+		 sql_list.h \
+		 sql_map.h \
+		 sql_string.h \
+		 unireg.h \
+		 sql_error.h \
+		 field.h \
+		 handler.h \
+		 mysqld_suffix.h \
+		 rpl_constants.h \
+		 opt_range.h \
+		 protocol.h \
+		 rpl_tblmap.h \
+		 rpl_utility.h \
+		 rpl_reporting.h \
+		 log.h \
+		 sql_show.h \
+		 rpl_rli.h \
+		 rpl_mi.h \
+		 sql_select.h \
+		 structs.h \
+		 table.h \
+		 sql_udf.h \
+		 lex.h \
+		 lex_symbol.h \
+		 sql_crypt.h  \
+		 sql_repl.h \
+		 slave.h \
+		 rpl_filter.h \
+		 log_event.h \
+		 rpl_record.h \
+		 stacktrace.h \
+		 sql_sort.h \
+		 set_var.h \
+		 tzfile.h \
+		 client_settings.h \
+		 tztime.h \
+		 my_decimal.h\
+		 sql_array.h \
+		 scheduler.h \
+		 sql_plugin.h \
+		 probes.h
+
+drizzled_SOURCES = sql_lex.cc \
+		   sql_handler.cc \
+		   item.cc \
+		   item_sum.cc \
+		   item_buff.cc \
+		   item_func.cc \
+		   item_cmpfunc.cc \
+		   item_strfunc.cc \
+		   item_timefunc.cc \
+		   thr_malloc.cc \
+		   item_create.cc \
+		   item_subselect.cc \
+		   item_row.cc \
+		   field.cc \
+		   strfunc.cc \
+		   key.cc \
+		   sql_class.cc \
+		   sql_list.cc \
+		   protocol.cc \
+		   sql_state.c \
+		   lock.cc \
+		   sql_string.cc \
+		   sql_map.cc \
+		   drizzled.cc \
+		   sql_connect.cc \
+		   scheduler.cc \
+		   sql_parse.cc \
+		   set_var.cc \
+		   sql_yacc.yy \
+		   sql_base.cc \
+		   table.cc \
+		   sql_select.cc \
+		   sql_insert.cc \
+		   sql_error.cc \
+		   sql_locale.cc \
+		   sql_update.cc \
+		   sql_delete.cc \
+		   uniques.cc \
+		   log.cc \
+		   init.cc \
+		   derror.cc \
+		   unireg.cc \
+		   log_event.cc \
+		   rpl_record.cc \
+		   discover.cc \
+		   time.cc \
+		   opt_range.cc \
+		   opt_sum.cc \
+		   records.cc \
+		   filesort.cc \
+		   sql_db.cc \
+		   sql_table.cc \
+		   sql_rename.cc \
+		   sql_crypt.cc \
+		   sql_load.cc \
+		   mf_iocache.cc \
+		   field_conv.cc \
+		   sql_show.cc \
+		   sql_udf.cc \
+		   slave.cc \
+		   sql_repl.cc \
+		   rpl_filter.cc \
+		   rpl_tblmap.cc \
+		   rpl_utility.cc \
+		   rpl_rli.cc \
+		   rpl_mi.cc \
+		   rpl_reporting.cc \
+		   sql_union.cc \
+		   sql_derived.cc \
+		   sql_client.cc \
+		   stacktrace.c \
+		   repl_failsafe.h \
+		   repl_failsafe.cc \
+		   sql_olap.cc \
+		   tztime.cc \
+		   my_decimal.cc\
+		   sql_plugin.cc \
+		   sql_binlog.cc \
+		   sql_builtin.cc 
+
+libhandler_la_SOURCES = handler.cc
 
 if HAVE_DTRACE
-  drizzled_SOURCES += 				probes.d
+drizzled_SOURCES += probes.d
 endif
 
-gen_lex_hash_SOURCES =				gen_lex_hash.cc
-
-gen_lex_hash_LDFLAGS =  			
-
-DEFS =												-DMYSQL_SERVER \
-															-DDEFAULT_MYSQL_HOME="\"$(MYSQLBASEdir)\"" \
-															-DDATADIR="\"$(MYSQLDATAdir)\"" \
-															-DSHAREDIR="\"$(MYSQLSHAREdir)\"" \
-															-DPLUGINDIR="\"$(pkgplugindir)\"" \
-															@DEFS@
-
-BUILT_MAINT_SRC =							sql_yacc.cc \
-															sql_yacc.h
-
-BUILT_SOURCES =								$(BUILT_MAINT_SRC) \
-															lex_hash.h 
-
-EXTRA_DIST =									$(BUILT_MAINT_SRC) \
-															message.mc \
-															probes.d
-
-CLEANFILES =        					lex_hash.h \
-															sql_yacc.output \
-															$(nodist_drizzled_SOURCES)
-
-DISTCLEANFILES =        			$(EXTRA_PROGRAMS) \
-															$(BUILT_MAINT_SRC)
-
-MAINTAINERCLEANFILES =  			$(BUILT_MAINT_SRC)
-
-AM_YFLAGS =										-d --verbose
+gen_lex_hash_SOURCES =gen_lex_hash.cc
+
+gen_lex_hash_LDFLAGS =  
+
+DEFS =-DMYSQL_SERVER \
+      -DDEFAULT_MYSQL_HOME="\"$(MYSQLBASEdir)\"" \
+      -DDATADIR="\"$(MYSQLDATAdir)\"" \
+      -DSHAREDIR="\"$(MYSQLSHAREdir)\"" \
+      -DPLUGINDIR="\"$(pkgplugindir)\"" \
+      @DEFS@
+
+BUILT_MAINT_SRC = sql_yacc.cc \
+		  sql_yacc.h
+
+BUILT_SOURCES = $(BUILT_MAINT_SRC) \
+		lex_hash.h 
+
+EXTRA_DIST = $(BUILT_MAINT_SRC) \
+	     message.mc \
+	     probes.d
+
+CLEANFILES = lex_hash.h \
+	     sql_yacc.output \
+	     $(nodist_drizzled_SOURCES)
+
+DISTCLEANFILES = $(EXTRA_PROGRAMS) \
+		 $(BUILT_MAINT_SRC)
+
+MAINTAINERCLEANFILES = $(BUILT_MAINT_SRC)
+
+AM_YFLAGS = -d --verbose
 
 # This generates lex_hash.h
 # NOTE Built sources should depend on their sources not the tool
 # this avoid the rebuild of the built files in a source dist
-lex_hash.h: 									gen_lex_hash$(EXEEXT) \
-															$(srcdir)/lex.h
-															$(top_builddir)/server/gen_lex_hash$(EXEEXT) > $@
-
-probes.h: 										probes.d
-															$(DTRACE) $(DTRACEFLAGS) -h -s probes.d
-															mv probes.h probes.h.bak
-															sed "s/#include <unistd.h>//g" probes.h.bak > probes.h
-															rm probes.h.bak
-
-SUFFIXES = 										.d
-
-.d.o : 												$(DTRACEFILES)
-															$(DTRACE) $(DTRACEFLAGS) -G -s $< $(DTRACEFILES)
+lex_hash.h: gen_lex_hash$(EXEEXT) \
+	$(srcdir)/lex.h
+	$(top_builddir)/server/gen_lex_hash$(EXEEXT) > $@
+
+probes.h: probes.d
+	$(DTRACE) $(DTRACEFLAGS) -h -s probes.d
+	mv probes.h probes.h.bak
+	sed "s/#include <unistd.h>//g" probes.h.bak > probes.h
+	rm probes.h.bak
+
+SUFFIXES = .d
+
+.d.o : $(DTRACEFILES)
+	$(DTRACE) $(DTRACEFLAGS) -G -s $< $(DTRACEFILES)

